Index: apps/app_mp3.c
===================================================================
--- apps/app_mp3.c	(revision 96077)
+++ apps/app_mp3.c	(working copy)
@@ -82,19 +82,19 @@
 	/* Execute mpg123, but buffer if it's a net connection */
 	if (!strncasecmp(filename, "http://", 7)) {
 		/* Most commonly installed in /usr/local/bin */
-	    execl(LOCAL_MPG_123, "mpg123", "-q", "-s", "-b", "1024", "-f", "8192", "--mono", "-r", "8000", filename, NULL);
+	    execl(LOCAL_MPG_123, "mpg123", "-q", "-s", "-b", "1024", "-f", "8192", "--mono", "-r", "8000", filename, (char *)NULL);
 		/* But many places has it in /usr/bin */
-	    execl(MPG_123, "mpg123", "-q", "-s", "-b", "1024","-f", "8192", "--mono", "-r", "8000", filename, NULL);
+	    execl(MPG_123, "mpg123", "-q", "-s", "-b", "1024","-f", "8192", "--mono", "-r", "8000", filename, (char *)NULL);
 		/* As a last-ditch effort, try to use PATH */
-	    execlp("mpg123", "mpg123", "-q", "-s", "-b", "1024",  "-f", "8192", "--mono", "-r", "8000", filename, NULL);
+	    execlp("mpg123", "mpg123", "-q", "-s", "-b", "1024",  "-f", "8192", "--mono", "-r", "8000", filename, (char *)NULL);
 	}
 	else {
 		/* Most commonly installed in /usr/local/bin */
-	    execl(MPG_123, "mpg123", "-q", "-s", "-f", "8192", "--mono", "-r", "8000", filename, NULL);
+	    execl(MPG_123, "mpg123", "-q", "-s", "-f", "8192", "--mono", "-r", "8000", filename, (char *)NULL);
 		/* But many places has it in /usr/bin */
-	    execl(LOCAL_MPG_123, "mpg123", "-q", "-s", "-f", "8192", "--mono", "-r", "8000", filename, NULL);
+	    execl(LOCAL_MPG_123, "mpg123", "-q", "-s", "-f", "8192", "--mono", "-r", "8000", filename, (char *)NULL);
 		/* As a last-ditch effort, try to use PATH */
-	    execlp("mpg123", "mpg123", "-q", "-s", "-f", "8192", "--mono", "-r", "8000", filename, NULL);
+	    execlp("mpg123", "mpg123", "-q", "-s", "-f", "8192", "--mono", "-r", "8000", filename, (char *)NULL);
 	}
 	ast_log(LOG_WARNING, "Execute of mpg123 failed\n");
 	_exit(0);
Index: apps/app_ices.c
===================================================================
--- apps/app_ices.c	(revision 96077)
+++ apps/app_ices.c	(working copy)
@@ -86,11 +86,11 @@
 			close(x);
 	}
 	/* Most commonly installed in /usr/local/bin */
-	execl(ICES, "ices", filename, NULL);
+	execl(ICES, "ices", filename, (char *)NULL);
 	/* But many places has it in /usr/bin */
-	execl(LOCAL_ICES, "ices", filename, NULL);
+	execl(LOCAL_ICES, "ices", filename, (char *)NULL);
 	/* As a last-ditch effort, try to use PATH */
-	execlp("ices", "ices", filename, NULL);
+	execlp("ices", "ices", filename, (char *)NULL);
 	ast_log(LOG_WARNING, "Execute of ices failed\n");
 	_exit(0);
 }
Index: main/asterisk.c
===================================================================
--- main/asterisk.c	(revision 96077)
+++ main/asterisk.c	(working copy)
@@ -2894,13 +2894,13 @@
 				for (fd = 0; fd < 100; fd++)
 					close(fd);
 
-				execlp("astcanary", "astcanary", canary_filename, NULL);
+				execlp("astcanary", "astcanary", canary_filename, (char *)NULL);
 
 				/* If not found, try the same path as used to execute asterisk */
 				ast_copy_string(canary_binary, argv[0], sizeof(canary_binary));
 				if ((lastslash = strrchr(canary_binary, '/'))) {
 					ast_copy_string(lastslash + 1, "astcanary", sizeof(canary_binary) + canary_binary - (lastslash + 1));
-					execl(canary_binary, "astcanary", canary_filename, NULL);
+					execl(canary_binary, "astcanary", canary_filename, (char *)NULL);
 				}
 
 				/* Should never happen */
